Name:           imageshack-uploader
# hg rev 2bd8dc6214d7
Version:        2.3.0
Release:        1.1
License:        BSD-3-Clause
Summary:        Imageshack Uploader
Url:            http://code.google.com/p/imageshack-uploader/
Group:          Productivity/Networking/File-Sharing
Source0:        imageshack-uploader-%{version}.tar.bz2
# Patches are from http://anonscm.debian.org/loggerhead/collab-maint/imageshack-uploader/files/head:/debian/patches/
# PATCH-FIX-UPSTREAM imageshack-uploader-2.3.0-g++47.patch adam@mizerski.pl -- add missing header
Patch0:         %{name}-2.3.0-g++47.patch
# PATCH-FIX-OPENSUSE imageshack-uploader-2.3.0-1001-fix-ffmpeg-6.0.diff fabricesp@ubuntu.com -- fixes a compilation error with ffmpeg 6.0: "'av_log_level' undeclared
Patch1:         %{name}-2.3.0-1001-fix-ffmpeg-6.0.diff
# PATCH-FIX-OPENSUSE imageshack-uploader-2.3.0-1002-fix-FTBFS-libav-0.7.diff fabricesp@ubuntu.com -- fix FTBFS with libav 0.7 because deprecated values and functions has been dropped
Patch2:         %{name}-2.3.0-1002-fix-FTBFS-libav-0.7.diff
# PATCH-FIX-UPSTREAM imageshack-uploader-2.3.0-fix-fail-to-login.patch dr3mro@gmail.com -- https://code.google.com/p/imageshack-uploader/issues/detail?id=243
Patch3:         %{name}-2.3.0-fix-fail-to-login.patch
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  libffmpeg_oldabi-devel
BuildRequires:  libqt4-devel >= 4.5
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The uploader allows to upload images and videos in bulk to http://imageshack.us/ web site.
It have also Twitter support, so you can tweet short (using http://yfrog.com/) links to newly uploaded images and video.

%prep
%setup0 -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
# developer key taken from http://anonscm.debian.org/loggerhead/collab-maint/imageshack-uploader/annotate/head:/debian/rules
IMAGESHACK_DEVELOPER_KEY="139ACLMVba0ed423487bdf82ee74c68020d4b198" qmake QMAKE_CFLAGS="%{optflags}" QMAKE_CXXFLAGS="%{optflags}"

%build
make %{?_smp_mflags}

%install
make INSTALL_ROOT=%{buildroot} install
mkdir -p %{buildroot}%{_datadir}/imageshack-uploader/translations/
cp translations/*.qm %{buildroot}%{_datadir}/imageshack-uploader/translations/
%suse_update_desktop_file -r -n imageshackuploader Network FileTransfer

%post
%icon_theme_cache_post || true

%postun
%icon_theme_cache_postun || true


%files
%defattr(-,root,root)
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/translations/
%{_datadir}/pixmaps/imageshack.png
%{_datadir}/applications/imageshackuploader.desktop

%changelog
* Wed Sep 12 2012 adam@mizerski.pl
- update to 2.3.0 (hg rev 2bd8dc6214d7)
- removed patches:
  * imageshack-uploader-2.2.0-av_log_level.patch
  * imageshack-uploader-2.2.0-fix-fail-to-login.patch
  * imageshack-uploader-2.2.0-nodevkey.patch
- added paches
  * imageshack-uploader-2.3.0-1001-fix-ffmpeg-6.0.diff
  * imageshack-uploader-2.3.0-1002-fix-FTBFS-libav-0.7.diff
  * imageshack-uploader-2.3.0-fix-fail-to-login.patch
  * imageshack-uploader-2.3.0-g++47.patch
- added developer key taken from debian build
* Wed Feb 23 2011 adam@mizerski.pl
- new package
